## atinout 0.9.1%2Bgit20150607.4976a6c

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export VERSION = @DEB_VERSION@

%:
	dh $@

## atinout 0.9.1+git20150607.4976a6c

=== Makefile ===
VERSION	= 0.9.1

PREFIX	= /usr

CC	= gcc
CFLAGS	= -W -Wall -Wextra -Werror \
	-DVERSION=\"$(VERSION)\" \
	-g
LDFLAGS =

ifeq "REMOVE_THIS_FOR_RELEASE" "REMOVE_THIS_FOR_RELEASE"
%.spec: %.spec.in Makefile
	sed s/@VERSION@/$(VERSION)/g < $@.in > $@

all: atinout atinout.1 atinout.spec
else
all: atinout
endif

atinout: atinout.c
	$(CC) -o $@ $(CFLAGS) $(LDFLAGS) $^

ifeq "REMOVE_THIS_FOR_RELEASE" "REMOVE_THIS_FOR_RELEASE"

dist:
	make -f make.dist dist_tar_file

atinout.1 atinout.1.html: atinout.1.ronn
	ronn $^

clean:
	rm -f atinout atinout.1 atinout.1.html atinout.spec
else
clean:
	rm -f atinout
endif

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp atinout $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	cp atinout.1 $(DESTDIR)$(PREFIX)/share/man/man1/atinout.1

=== debian/changelog ===
atinout (0.9.1+git20150607.4976a6c-1) unstable; urgency=medium

  * Initial release (Closes: #1098858)

 -- Jongmin Kim <jmkim@debian.org>  Fri, 05 Dec 2025 03:26:37 +0900

=== debian/control ===
Source: atinout
Section: embedded
Priority: optional
Maintainer: Jongmin Kim <jmkim@debian.org>
Standards-Version: 4.7.2
Build-Depends:
  debhelper-compat (= 13),
  ronn <!nodoc>
Homepage: https://atinout.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/atinout
Vcs-Git: https://salsa.debian.org/debian/atinout.git -b debian/latest

Package: atinout
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Send AT commands to modem, capture the responses
 Atinout reads a list of AT commands (Hayes commands).
 .
 It sends those commands one by one to the modem, waiting for the final
 result code for the currently running command before continuing with
 the next command in the list. The output from the commands is saved.

=== debian/watch ===
Version: 5
Source: https://git.code.sf.net/p/atinout/code
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.9.1+git%cd.%h
